## ros-one-julius-ros 2.1.31-19jammy.20251023.0406

=== debian/changelog ===
ros-one-julius-ros (2.1.31-19jammy.20251023.0406) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 04:06:18 +0000

ros-one-julius-ros (2.1.31-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-julius-ros (2.1.30-0jammy) jammy; urgency=high

  * [ros-o] julius: use system install julius (#518 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/518>)
  * julius_ros/scripts/run_julius.sh: more information on how to install julius and grammer/dictation kit
  * [ros-o] julius: use system install julius, download dictation and grammer kit by script
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-julius-ros (2.1.29-0jammy) jammy; urgency=high

  * GA: relax failed test dialogflow_task_executive, julius_ros (#497 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/497>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-julius-ros (2.1.28-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-julius-ros (2.1.27-0jammy) jammy; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-julius-ros (2.1.26-0jammy) jammy; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-julius-ros (2.1.25-0jammy) jammy; urgency=high

  * Pr/use sound themes freedesktop (#472 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/472>)
  * add test to check if ros node is loadable (#463 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/463>)
  * Contributors: Kei Okada, Koki Shinjo

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-julius-ros (2.1.24-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-julius-ros (2.1.23-0jammy) jammy; urgency=high

  * Add DNN version julius (#259 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/259>)
    
      * Fix order of args in julius.launch
      * Update README
      * Do not use git-lfs and revert unnecessary change
      * Add julius_ros test for DNN version
      * Use audio port instead of microphone input
      * Update README and julius.launch arg doc
      * Use Julius config file in julius_ros
      * Fix typo: input audio via port
    
  * Contributors: Naoya Yamaguchi

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-julius-ros (2.1.22-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-julius-ros (2.1.21-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-julius-ros (2.1.20-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-julius-ros (2.1.19-0jammy) jammy; urgency=high

  * fix typo in julius_client.py (#203 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/203>)
  * add more arg options for julius.launch (#144 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/144>)
    
      * add julius_output args
      * add julius_args
      * add args for device,channels,depth,sample_rate,format
    
  * Contributors: Kei Okada, Shingo Kitagawa

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-julius-ros (2.1.18-0jammy) jammy; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * julius_ros: fix for python3, specially str <-> bytes
      * fix 2to3, with print, raise, exception
      * use package.xml format 3 for package contains python depends
    
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-julius-ros (2.1.17-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-julius-ros (2.1.16-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-julius-ros (2.1.15-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-julius-ros (2.1.14-0jammy) jammy; urgency=high

  * set SoundRequest.volume for kinetic (#173 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/173>)
  * Contributors: Kei OKada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-julius-ros (2.1.13-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-julius-ros (2.1.12-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-julius-ros (2.1.11-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-julius-ros (2.1.10-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-julius-ros (2.1.9-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-julius-ros (2.1.8-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000



## ros-one-julius-ros 2.1.31-19noble.20251023.0403

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(julius_ros)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

install(
  DIRECTORY launch conf data scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

if(CATKIN_ENABLE_TESTING)
  if("$ENV{ROS_DISTRO}" STRGREATER "hydro") # >= indigo
    find_package(rostest REQUIRED)
    # We use different ports for multiple julius tests to run these tests in parallel
    add_rostest(test/julius.test ARGS dnn:=false module_port:=10500 audio_port:=10501)
    add_rostest(test/julius.test ARGS dnn:=true module_port:=10502 audio_port:=10503)
    add_rostest(test/grammar.test)
  endif()
endif()

=== debian/changelog ===
ros-one-julius-ros (2.1.31-19noble.20251023.0403) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 04:03:27 +0000

ros-one-julius-ros (2.1.31-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-julius-ros (2.1.30-0noble) noble; urgency=high

  * [ros-o] julius: use system install julius (#518 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/518>)
  * julius_ros/scripts/run_julius.sh: more information on how to install julius and grammer/dictation kit
  * [ros-o] julius: use system install julius, download dictation and grammer kit by script
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-julius-ros (2.1.29-0noble) noble; urgency=high

  * GA: relax failed test dialogflow_task_executive, julius_ros (#497 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/497>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-julius-ros (2.1.28-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-julius-ros (2.1.27-0noble) noble; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-julius-ros (2.1.26-0noble) noble; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-julius-ros (2.1.25-0noble) noble; urgency=high

  * Pr/use sound themes freedesktop (#472 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/472>)
  * add test to check if ros node is loadable (#463 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/463>)
  * Contributors: Kei Okada, Koki Shinjo

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-julius-ros (2.1.24-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-julius-ros (2.1.23-0noble) noble; urgency=high

  * Add DNN version julius (#259 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/259>)
    
      * Fix order of args in julius.launch
      * Update README
      * Do not use git-lfs and revert unnecessary change
      * Add julius_ros test for DNN version
      * Use audio port instead of microphone input
      * Update README and julius.launch arg doc
      * Use Julius config file in julius_ros
      * Fix typo: input audio via port
    
  * Contributors: Naoya Yamaguchi

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-julius-ros (2.1.22-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-julius-ros (2.1.21-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-julius-ros (2.1.20-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-julius-ros (2.1.19-0noble) noble; urgency=high

  * fix typo in julius_client.py (#203 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/203>)
  * add more arg options for julius.launch (#144 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/144>)
    
      * add julius_output args
      * add julius_args
      * add args for device,channels,depth,sample_rate,format
    
  * Contributors: Kei Okada, Shingo Kitagawa

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-julius-ros (2.1.18-0noble) noble; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * julius_ros: fix for python3, specially str <-> bytes
      * fix 2to3, with print, raise, exception
      * use package.xml format 3 for package contains python depends
    
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-julius-ros (2.1.17-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-julius-ros (2.1.16-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-julius-ros (2.1.15-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-julius-ros (2.1.14-0noble) noble; urgency=high

  * set SoundRequest.volume for kinetic (#173 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/173>)
  * Contributors: Kei OKada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-julius-ros (2.1.13-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-julius-ros (2.1.12-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-julius-ros (2.1.11-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-julius-ros (2.1.10-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-julius-ros (2.1.9-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-julius-ros (2.1.8-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000



=== debian/control ===
Source: ros-one-julius-ros
Section: misc
Priority: optional
Maintainer: Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-julius-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, julius-voxforge, nkf, python3-lxml, python3-rospkg, ros-one-audio-capture, ros-one-audio-common-msgs, ros-one-julius, ros-one-rospy, ros-one-sound-play, ros-one-speech-recognition-msgs, ros-one-std-srvs, sound-theme-freedesktop
Description: The julius_ros package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-julius-ros//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
